#ifndef __SFCOOP__HH__
#define __SFCOOP__HH__


#ifdef __APPLE__
#include <SDL2/SDL.h>
#include <SDL2_net/SDL_net.h>
#else
#include <SDL.h>
#include <SDL_net.h>
#endif

#include <cmath>
#include <iomanip>
#include <fstream>
#include <iostream>
#include <algorithm>
#include <string>
#include <sstream>
#include <map>
#include <array>
#include <node.h>
#include <node_buffer.h>

#include "cairo/cairo.h"
#include <cairo/cairo-ft.h>
#ifdef __WIN32__
#include <cairo/cairo-win32.h>
#endif

#include "opus.h"

#include "vector.hh"
#include "wireframe.hh"
#include "network.hh"
#include "window.hh"
#include "globals.hh"
#include "menu.hh"
#include "question.hh"
#include "wav.hh"

#endif  // __SFCOOP_HH__
